Ticket #40411

Init new dir is borken!

Date d'ouverture: 2020-05-15 22:23 Dernière mise à jour: 2020-05-17 01:54

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
8
Résolution:
Fixed
Fichier:
Aucun

Détails

See video. (Heh.)

Ticket History (3/4 Histories)

2020-05-15 22:23 Updated by: sforman
  • New Ticket "Init new dir is borken!" created
2020-05-16 00:35 Updated by: sforman
Commentaire
(SPF) sforman@bock:~/Desktop/ArchLayer/System/source/Thun$ mkdir bar
(SPF) sforman@bock:~/Desktop/ArchLayer/System/source/Thun$ python -m joy.gui -j ./bar
'/home/sforman/Desktop/ArchLayer/System/source/Thun/bar' no repository
Initializing repository in /home/sforman/Desktop/ArchLayer/System/source/Thun/bar
Traceback (most recent call last):
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/utils.py", line 45, in init_home
    repo = Repo(fullpath)
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/site-packages/dulwich/repo.py", line 925, in __init__
    raise NotGitRepository(
dulwich.errors.NotGitRepository: No git repository was found at /home/sforman/Desktop/ArchLayer/System/source/Thun/bar

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/base64.py", line 510, in _input_type_check
    m = memoryview(s)
TypeError: memoryview: a bytes-like object is required, not 'str'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/runpy.py", line 193, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/runpy.py", line 86, in _run_code
    exec(code, run_globals)
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/__main__.py", line 21, in <module>
    import joy.gui.main
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/main.py", line 34, in <module>
    repo = init_home(JOY_HOME)
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/utils.py", line 54, in init_home
    repo = init_repo(fullpath)
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/utils.py", line 66, in init_repo
    import joy.gui.init_joy_home
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/init_joy_home.py", line 32, in <module>
    Z = zipfile.ZipFile(io.BytesIO(base64.decodestring('''\
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/base64.py", line 554, in decodestring
    return decodebytes(s)
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/base64.py", line 545, in decodebytes
    _input_type_check(s)
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/base64.py", line 513, in _input_type_check
    raise TypeError(msg) from err
TypeError: expected bytes-like object, not str
2020-05-17 01:52 Updated by: sforman
Commentaire
(SPF) sforman@bock:~/Desktop/ArchLayer/System/source/Thun$ python -m joy.gui -j ./bar
'/home/sforman/Desktop/ArchLayer/System/source/Thun/bar' no repository
Initializing repository in /home/sforman/Desktop/ArchLayer/System/source/Thun/bar
Using repository in /home/sforman/Desktop/ArchLayer/System/source/Thun/bar
Traceback (most recent call last):
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/runpy.py", line 193, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/home/sforman/anaconda2/envs/SPF/lib/python3.8/runpy.py", line 86, in _run_code
    exec(code, run_globals)
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/__main__.py", line 21, in <module>
    import joy.gui.main
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/main.py", line 51, in <module>
    from joy.gui.controllerlistbox import StackListbox
  File "/home/sforman/Desktop/ArchLayer/System/source/Thun/joy/gui/controllerlistbox.py", line 21, in <module>
    from Tkinter import Listbox, SINGLE
ModuleNotFoundError: No module named 'Tkinter'
(SPF) sforman@bock:~/Desktop/ArchLayer/System/source/Thun$ ls -la bar/
total 48
drwxrwxr-x  3 sforman sforman  4096 May 16 09:50 .
drwxrwxr-x 10 sforman sforman  4096 May 16 09:50 ..
drwxrwxr-x  8 sforman sforman  4096 May 16 09:50 .git
-rw-rw-r--  1 sforman sforman  1850 May 16 09:50 definitions.txt
-rw-rw-r--  1 sforman sforman   337 May 16 09:50 log.txt
-rw-rw-r--  1 sforman sforman  1045 May 16 09:50 scratch.txt
-rw-rw-r--  1 sforman sforman     3 May 16 09:50 stack.pickle
-rw-rw-r--  1 sforman sforman   236 May 16 09:50 thun.config
-rw-rw-r--  1 sforman sforman 14201 May 16 09:50 thun.log

Excellent! Now I'm getting the traceback I expected. (The listbox module isn't python 3 compatible yet.)

2020-05-17 01:54 Updated by: sforman
  • Résolution Update from Aucun to Fixed
  • État Update from Ouvert to Atteints

Attachment File List

No attachments

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion